-- #104
CREATE TABLE amazonoffer (
     amazonofferid        integer  not null
,    productid            integer  null
,    currencyid           char(3)  not null
,    amazoncatalogid      integer  null
,    amazonproducttypeid  integer  null
,    portalconfigid       integer  null
,    amazonprice          decimal(19,4)  null
,    laststocklevel       double  null
,    laststockupdate      datetime  null
,    onlinestatus         tinyint  not null
,    lastbestpriceupdate  datetime  null
,    bestprice            decimal(19,4)  null
,    ispricechanged       bool  not null
,    parentofferid        integer  null
,    asin                 varchar(11)  null

,   constraint pk_amazonitemprice               primary key (amazonofferid)
,   constraint fk_amazonoffer_currencyid        foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_amazonoffer_portalconfigid    foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
,   constraint fk_amazonoffer_amazonofferid     foreign key (amazonofferid)
        references object                           (objectid)
,   constraint fk_amazonoffer_amazoncatalogid   foreign key (amazoncatalogid)
        references amazoncatalog                    (amazoncatalogid)
,   constraint fk_amazonoffer_amazonproducttypeid foreign key (amazonproducttypeid)
        references amazonproducttype                (amazonproducttypeid)
,   constraint fk_amazonoffer_productid         foreign key (productid)
        references product                          (productid)
,   constraint fk_amazonoffer_parentofferid     foreign key (parentofferid)
        references amazonoffer                      (amazonofferid)
)
GO
CREATE UNIQUE INDEX u_portalconfigid_productid ON amazonoffer (portalconfigid, productid)
GO
CREATE INDEX i_productid ON amazonoffer (productid)
GO
CREATE INDEX i_portalconfigid_status ON amazonoffer (portalconfigid, onlinestatus)
GO
CREATE INDEX i_parentofferid ON amazonoffer (parentofferid)
GO
CREATE INDEX i_currencyid ON amazonoffer (currencyid)
GO
CREATE INDEX i_catalogid ON amazonoffer (amazoncatalogid)
GO
CREATE INDEX i_amazonproducttypeid ON amazonoffer (amazonproducttypeid)
GO
