-- #102
CREATE TABLE amazontransaction (
     amazontransactionid  integer  not null
,    productid            integer  null
,    portalconfigid       integer  null
,    externalorderid      varchar(24)  not null
,    externalorderitemcode varchar(24)  not null
,    externaldocumentid   varchar(24)  not null
,    sku                  varchar(255)  not null
,    title                varchar(255)  null
,    quantity             integer  not null
,    price                decimal(19,4)  not null
,    shipping             decimal(19,4)  not null
,    email                varchar(255)  not null
,    fees                 decimal(19,4)  not null
,    promotionamount      decimal(19,4)  null
,    promotionclaimcode   varchar(255)  null
,    promotionshippingamount decimal(19,4)  null
,    fulfillmentservicelevel varchar(16)  not null
,    ordertimestamp       datetime  not null
,    fulfillmenttimestamp datetime  null

,   constraint pk_amazontransaction             primary key (amazontransactionid)
,   constraint fk_amazontransaction_productid   foreign key (productid)
        references product                          (productid)
,   constraint fk_amazontransaction_amazontransactionid foreign key (amazontransactionid)
        references object                           (objectid)
,   constraint fk_amazontransaction_portalconfigid foreign key (portalconfigid)
        references portalconfig                     (portalconfigid)
)
GO
CREATE INDEX i_productid ON amazontransaction (productid)
GO
CREATE INDEX i_portalconfigid ON amazontransaction (portalconfigid)
GO
CREATE INDEX i_externalorderid ON amazontransaction (externalorderid)
GO
