-- #103
CREATE TABLE dhlshippinglabel (
     dhlshippinglabelid   integer  not null
,    dhlshoppingcartid    integer  null
,    currencyid           char(3)  null
,    bruttoamount         decimal(19,4)  null
,    vat                  integer  null
,    itemid               varchar(255)  null
,    shipmentid           varchar(40)  null
,    couponcode           varchar(32)  null
,    insurance            varchar(20)  null
,    overallweight        double  null
,    expressdelivery      bool  not null
,    rolepackage          bool  not null
,    gogreen              bool  not null
,    proof                bool  not null
,    bulkgoods            bool  not null
,    pickupservice        bool  not null
,    cn23                 bool  not null
,    pickupdate           datetime  null
,    labelid              varchar(20)  null
,    productid            varchar(60)  null
,    routingcode          varchar(255)  null
,    airwaybillnumber     varchar(255)  null
,    awtdownloadurl       varchar(255)  null
,    pdfdownloadurl       varchar(255)  null
,    preadvicetype        tinyint  null
,    recomandcode         varchar(255)  null
,    length               integer  null
,    width                integer  null
,    depth                integer  null

,   constraint pk_dhlshippinglabel              primary key (dhlshippinglabelid)
,   constraint fk_dhlshippinglabel_dhlshippinglabelid foreign key (dhlshippinglabelid)
        references object                           (objectid)
,   constraint fk_dhlshippinglabel_dhlshoppingcartid foreign key (dhlshoppingcartid)
        references dhlshoppingcart                  (dhlshoppingcartid)
,   constraint fk_dhlshippinglabel_currencyid   foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_dhlshoppingcartid ON dhlshippinglabel (dhlshoppingcartid)
GO
CREATE INDEX i_dhlshippinglabel_currencyid ON dhlshippinglabel (currencyid)
GO
