/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.openWindow
 *
 * @revision		$Revision: 1.7.4.5 $
 */

jQuery.plugin( 'ep.openWindow', ['ep.core', 'ep.uri','ep.ui.dialog','ep.fn.busy','ep.dict'], function( $, undefined ){

	var dialogNode,
		iframeNode;
/*
 * @dictionary		ep.dict
 *
 * @translation		{Close}
 */
	ep.extend({ // open new window with predefined features
		openWindow: function( url, features ){
			var $win = $(window),
				o = $.extend({
				width: $win.width()-30,
				height: $win.height()-40
			},features),
				dict = ep.dict('ep.dict');
			if(o.width > $win.width()){
				o.position = 'right';
			}
			else{
				o.position = 'center';
			}
			if(!dialogNode){
				dialogNode = 	ep('<div>');
				iframeNode = $('<iframe>')
					.appendTo(dialogNode)
					.addClass('epOpenWindowIframe')
					.css({
						border: 'none',
						width: '100%',
						height: '99%'
					});
				dialogNode
					.uiDialog({
						maxWidth: o.width,
						width: o.width,
						height: o.height,
						resizable: false,
						modal:	true,
						position: o.position,
						buttons: [
							{text: dict.translate( 'Close' ), click: function(){ ep(this).uiDialog('close'); }}
						]
					})
					.busy();
				iframeNode.on('load',function(){
					dialogNode.busy('hide');
					if(iframeNode.length && 	iframeNode[0].contentDocument){
						try{
							var titleText = iframeNode[0].contentDocument.title;
							if(titleText){
								dialogNode.uiDialog('option','title',titleText);
							}
						}
						catch(e){
							console.warn('unable to read title from iframe');
						}
					}
				});
				iframeNode.attr('src', url + (/\?/.test(url) ? "&" : "?") + "_=" + $.now() );
			} else{
				dialogNode
					.busy()
					.uiDialog('open')
					.uiDialog('option',{
						'height': o.height,
						'width': o.width,
						'position': o.position
					});
				iframeNode.attr('src',url);
			}
		}
	});

});