-- #102
CREATE TABLE locale (
     localeid             varchar(5)  not null
,    isused               bool  not null
,    languageid           integer  not null
,    countryid            integer  not null
,    currencyid           char(3)  not null
,    decimalsep           varchar(1)  null
,    thousandsep          varchar(1)  null
,    negformatnumbers     varchar(10)  null
,    posformatcurrency    varchar(10)  null
,    negformatcurrency    varchar(10)  null
,    listcolumnseparator  varchar(10)  null
,    listrowseparator     varchar(10)  null
,    listquotcharacter    varchar(1)  null
,    defaultcharset       varchar(50)  null
,    firstdayofweek       smallint  null
,    mindaysfirstweek     smallint  null

,   constraint pk_locale                        primary key (localeid)
,   constraint fk_locale_languageid             foreign key (languageid)
        references language                         (languageid)
,   constraint fk_locale_countryid              foreign key (countryid)
        references country                          (countryid)
,   constraint fk_locale_currencyid             foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_locale_language ON locale (languageid)
GO
CREATE INDEX i_locale_country ON locale (countryid)
GO
CREATE INDEX i_locale_currency ON locale (currencyid)
GO
