-- #102
CREATE TABLE lineitemcontainer (
     lineitemcontainerid  integer  not null
,    localeid             varchar(5)  not null
,    languageid           integer  not null
,    currencyid           char(3)  not null
,    taxareaid            integer  null
,    taxmodel             bool  not null
,    grandtotal           decimal(19,4)  null
,    totalbeforetax       decimal(19,4)  null
,    totaltax             decimal(19,4)  null
,    lastshippingmethodid integer  null
,    lastpaymentmethodid  integer  null

,   constraint pk_lineitemcontainer             primary key (lineitemcontainerid)
,   constraint fk_lineitemcontainer_lineitemcontainerid foreign key (lineitemcontainerid)
        references object                           (objectid)
,   constraint fk_lineitemcontainer_currencyid  foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_lineitemcontainer_languageid  foreign key (languageid)
        references language                         (languageid)
,   constraint fk_lineitemcontainer_taxareaid   foreign key (taxareaid)
        references taxarea                          (taxareaid)
,   constraint fk_lineitemcontainer_localeid    foreign key (localeid)
        references locale                           (localeid)
,   constraint fk_lineitemcontainer_lastshippingmethodid foreign key (lastshippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_lineitemcontainer_lastpaymentmethodid foreign key (lastpaymentmethodid)
        references paymentmethod                    (paymentmethodid)
)
GO
CREATE INDEX i_lineitemcontainer_taxareaid ON lineitemcontainer (taxareaid)
GO
CREATE INDEX i_lineitemcontainer_shipping ON lineitemcontainer (lastshippingmethodid)
GO
CREATE INDEX i_lineitemcontainer_payment ON lineitemcontainer (lastpaymentmethodid)
GO
CREATE INDEX i_lineitemcontainer_currencyid ON lineitemcontainer (currencyid)
GO
CREATE INDEX i_lineitemcontainer_languageid ON lineitemcontainer (languageid)
GO
CREATE INDEX i_lineitemcontainer_localeid ON lineitemcontainer (localeid)
GO
