-- #104
CREATE TABLE portalconfig (
     portalconfigid       integer  not null
,    shopid               integer  not null
,    portalid             integer  not null
,    portalsiteid         integer  not null
,    portalmerchantid     varchar(255)  null
,    add2basket           bool  not null
,    exportallproducts    bool  not null
,    exportallvariations  bool  not null
,    shippingmethodid     integer  null
,    imageattributeid     integer  null
,    descriptionattributeid integer  null
,    shortdescriptionattributeid integer  null
,    lastexportdate       datetime  null
,    lastuploaddate       datetime  null
,    exportinterval       integer  not null
,    ftplogin             varchar(255)  null
,    ftppassword          varchar(255)  null
,    ftpfilename          varchar(255)  null

,   constraint pk_portalconfig                  primary key (portalconfigid)
,   constraint fk_portalconfig_shopid           foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_portalconfig_imageattributeid foreign key (imageattributeid)
        references attribute                        (attributeid)
,   constraint fk_portalconfig_descriptionattributeid foreign key (descriptionattributeid)
        references attribute                        (attributeid)
,   constraint fk_portalconfig_shippingmethodid foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_portalconfig_portalsiteid     foreign key (portalsiteid)
        references portalsite                       (portalsiteid)
,   constraint fk_portalconfig_portalconfigid   foreign key (portalconfigid)
        references object                           (objectid)
,   constraint fk_portalconfig_shortdescriptionattributeid foreign key (shortdescriptionattributeid)
        references attribute                        (attributeid)
,   constraint fk_portalconfig_portalid         foreign key (portalid)
        references portal                           (portalid)
)
GO
CREATE INDEX i_portal_shop ON portalconfig (shopid)
GO
CREATE INDEX i_portal_portalsiteid ON portalconfig (portalsiteid)
GO
CREATE INDEX i_portal_shippingmethodid ON portalconfig (shippingmethodid)
GO
CREATE INDEX i_portal_imageattributeid ON portalconfig (imageattributeid)
GO
CREATE INDEX i_portal_descriptionattributeid ON portalconfig (descriptionattributeid)
GO
CREATE INDEX i_portal_shortdescriptionattributeid ON portalconfig (shortdescriptionattributeid)
GO
CREATE INDEX i_protal_portalid ON portalconfig (portalid)
GO
